Subject: Re: bug#28533: 26.0.60; Native line numbers move with show-paren-mode enabled

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2017 10:22:41 +0300

> Cc: [email-masked]
> From: Romanos Skiadas <[email-masked]>
> Date: Thu, 21 Sep 2017 22:11:48 +0100
> 
> In any case, I would expect line numbers not to move regardless of 
> whatever reasonable condition the buffer is in, hence I still think that 
> this bug should remain open.

Fine with me.

> If you think it is a WONTFIX kind of deal, I'm ok with closing it. As 
> far as I can tell the customizations you suggested are not somewhere in 
> the docs. Should they added in NEWS and in any other relevant documentation?

Not sure what you mean: the variables I mentioned are AFAIK documented
in the Emacs manual.

>  >In modes that hide many lines from display, you should customize 
> display-line-numbers-width-start to a non-nil value
> 
> This only fixes the problem is the lines are already in the buffer. If 
> you write and fold 100 lines in an empty buffer, the issue still shows up.
> 
>  >or manually set display-line-numbers-width to a value large enough to 
> accommodate the last physical line of the file (e.g., in file-local 
> variables).
> 
> This works, but I expect Emacs to be able to calculate this correctly 
> out of the box without any kind of intervention.

IMO, this should be brought up to the attention of the Org developers.
Org mode has special needs when non-relative line numbers are
displayed, and the solution should IMO be in Org, not in Emacs core,
because solving that in core would mean significant run-time penalties
for everyone who uses line-number display.  I'm sure that these issues
can be quite easily fixed on the Lisp level by Org mode itself.

Thanks.